# List AI Agents

Returns all AI agents in the team with their LLM configuration and metadata.

Endpoint: GET /flows/api/ai-agents
Version: 2.0.0
Security: bearerAuth

## Query parameters:

  - `limit` (integer)
    Items per page (default 20).
    Example: 20

  - `offset` (integer)
    Items to skip (default 0).

## Response 200 fields (application/json):

  - `data` (array)

  - `data.uuid` (string)

  - `data.public_uuid` (string,null)

  - `data.team_id` (integer)

  - `data.name` (string)

  - `data.description` (string,null)

  - `data.avatar_url` (string,null)

  - `data.classification_llm_uuid` (string,null)

  - `data.classification_llm_config` (object,null)

  - `data.classification_prompt` (string,null)

  - `data.created_at` (string)

  - `data.updated_at` (string)

  - `limit` (integer)

  - `offset` (integer)

  - `total` (integer)

  - `has_more` (boolean)


